# 32/64bit spec-file
#
Name:		scim-input-pad
Summary:	An onscreen input pad to input some symbols
Version:	0.1.3.1
Release:	%mkrel 2
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.net/projects/scim/
Source0:	http://prdownloads.sourceforge.net/scim/%{name}-%{version}.tar.xz
Patch0:		scim-input-pad-0.1.1-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	scim-bridge
BuildRequires:	scim-devel >= 1.4.14
Obsoletes:	%{_lib}scim-input-pad0

%description
An onscreen input pad to input some symbols.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/*.{a,la,so}
rm -f %{buildroot}/%{scim_plugins_dir}/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/scim-*
%{_datadir}/scim/icons/*
%{_libdir}/*.so.*
%{scim_plugins_dir}/Helper/*.so

%changelog
* Thu Nov 14 2013  pinoc <vogtpet at gmail.com> 0.1.3.1-2pclos2013
- rebuild against new scim

* Fri Nov 08 2013  pinoc <vogtpet at gmail.com> 0.1.3.1-1pclos2013
- 0.1.3.1

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 0.1.2-2pclos2013
- rebuild on 64

* Tue May 11 2010 Texstar <texstar at gmail.com> 0.1.2-1pclos2010
- 0.1.2

